Firefox 73.0.1

Above version is incompatible with Sandboxie 5.33.2.  Something about min version 73.0, max version 73.0.  I have updated Sandboxie twice recently so this seems like a strange oversight.

  • Delete sandbox folder contents and try again. Or if you don't want to delete contents create a new sandbox and try there.

  • In reply to Pedro López:

    Not sure Firefox had it's own sandbox, but I deleted the folder where it was located.  I then told Sandboxie to run my browser sandboxed and that seemed to work.  Thanks for the help, not sure why this happened as I have done Firefox updates before without issues.